%global __provides_exclude_from ^%{_libdir}/switchboard/.*\\.so$

%global plug_type personal
%global plug_name pantheon-tweaks
%global app io.github.pantheon_tweaks.pantheon-tweaks

Name:           switchboard-plug-tweaks
Summary:        Switchboard Tweaks Plug
Version:        2.0.2
Release:        2%?dist
License:        GPL-3.0-or-later

URL:            https://github.com/pantheon-tweaks/pantheon-tweaks
Source0:        %{url}/archive/%{version}/%{plug_name}-%{version}.tar.gz

Provides:       pantheon-tweaks = %version-%release
Obsoletes:      pantheon-tweaks < 2.0.2-2

BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  vala

BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(granite) >= 6.0.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(switchboard-3)

Requires:       switchboard%{?_isa}

Requires:       hicolor-icon-theme


%description
A system settings panel for the Pantheon Desktop Environment that lets
you easily and safely customise your desktop's appearance.

%description -l de
Ein Systemeinstellungsmodul für die Arbeitsumgebung »Pantheon«, mit die
Erscheinung der Arbeitsumgebung sicher und einfach angepasst werden kann.

%description -l fr
Un panneau de configuration système pour le bureau Pantheon qui vous permet
de personnaliser facilement et en toute sécurité l’apparence de votre bureau.

%description -l ja
簡単かつ安全にデスクトップの外観をカスタマイズできる、Pantheon デスクトップ向
けのシステム設定パネルです。

%description -l pt
Um painel de definições do sistema para o ambiente de trabalho Pantheon que
permite personalizar com facilidade e segurança a aparência do seu ambiente
de trabalho.


%prep
%autosetup -n %{plug_name}-%{version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{plug_name}

# remove the specified stock icon from metainfo (invalid in libappstream-glib)
sed -i '/icon type="stock"/d' %buildroot%_metainfodir/%app.metainfo.xml

%check
appstream-util validate-relax --nonet %buildroot%_metainfodir/%app.metainfo.xml


%files -f %{plug_name}.lang
%license COPYING
%doc README.md
%doc AUTHORS
%doc CONTRIBUTORS

%_bindir/pantheon-tweaks
%_datadir/applications/%app.desktop
%_iconsdir/hicolor/*/apps/%app.svg
%_metainfodir/io.github.pantheon_tweaks.pantheon-tweaks.metainfo.xml
